AI Sync

Available Courses

List Available Courses

GEThttps://app.rizzdial.com/api/knowledge-hub/available-courses
List Available Courses
curl --request GET \
  --url https://app.rizzdial.com/api/knowledge-hub/available-courses \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "records": [
      {
        "id": "MQ==",
        "title": "Onboarding",
        "status": "draft",
        "added_by": 12,
        "thumbnail": null,
        "company_id": 12,
        "created_at": "2026-10-21T08:00:00.000000Z",
        "updated_at": "2026-10-21T08:00:00.000000Z",
        "visibility": "public",
        "description": null,
        "is_enrolled": false,
        "preview_enabled": false,
        "preview_description": null,
        "preview_content_limit": 1
      }
    ],
    "pagination": {
      "to": 1,
      "from": 1,
      "total": 1,
      "per_page": 15,
      "last_page": 1,
      "current_page": 1
    }
  },
  "success": true
}

List Available Courses#

Courses the company can join: its own public published courses, public admin-created courses, and courses already assigned to the company. Requires join-knowledge-hub.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

searchstringquery

Match title

per_pageintegerquery

Default 15. Maximum 100

pageintegerquery

Page number

curl --request GET \
  --url 'https://app.rizzdial.com/api/knowledge-hub/available-courses?per_page=15' \
  --header 'Authorization: Bearer {{bearer_token}}'
data.recordsarray

Base64 id, title, description, thumbnail, status, visibility, company_id, is_enrolled, created_at

data.paginationobject

total, current_page, per_page, last_page, from, to